org.apache.catalina.ha.backend

## Interface Sender

All Known Implementing Classes:
  MultiCastSender, TcpSender

    public interface Sender

### Method Summary

Methods
`void` `init(HeartbeatListener config)` Set the configuration parameters
`int` `send(String mess)` Send the message to the proxies

### Method Detail

#### init

    void init(HeartbeatListener config)
              throws Exception

Set the configuration parameters

Throws:
  `Exception`

#### send

    int send(String mess)
             throws Exception

Send the message to the proxies

Throws:
  `Exception`